For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • POSTCheck Zone for Address
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Zone Check

Check Zone for Address

POST
https://api.bigcommerce.com/stores/:store_hash/v3/tax/zonecheck
POST
/stores/:store_hash/v3/tax/zonecheck
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/tax/zonecheck \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "country_code": "US"
> }
>]'
1{
2 "data": [
3 {
4 "id": 12,
5 "name": "California Tax Zone",
6 "enabled": true,
7 "price_display_settings": {
8 "show_inclusive": false,
9 "show_both_on_detail_view": true,
10 "show_both_on_list_view": false
11 },
12 "shopper_target_settings": {
13 "locations": [
14 {
15 "country_code": "US",
16 "subdivision_codes": [
17 "CA",
18 "NV"
19 ],
20 "postal_codes": [
21 "90001",
22 "90210"
23 ]
24 }
25 ],
26 "customer_groups": [
27 3,
28 5
29 ]
30 }
31 }
32 ]
33}
Check the applicable tax zone for a given address and customer group.
Was this page helpful?
Previous

Update Tax Settings

Next

Wishlist

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
country_codestringRequired

Two-letter ISO 3166-1 country code.

subdivision_codesstringOptional

ISO 3166-2 subdivision code, up to three alphanumeric characters.

postal_codestringOptional
Postal code.
customer_group_idintegerOptional
Customer Group ID to which the customer is belongs.

Response

OK
datalist of objects

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.